import VueRouter from 'vue-router'
import Vue from 'vue'

Vue.use(VueRouter)
import store from "@/store";
import {userInfo} from "@/api";

var routes = [{
    path: '',
    redirect: '/homePage'
},
    {
        path: '/login',
        name: '登录',
        component: () => import('../views/login.vue')
    },
    {
        path: '/index',
        component: () => import('@/views/index.vue'),
        redirect: '',
        meta: {
            keepAlive: true,
            show: true,
            menu: 'homepage'
        },
        children: [
            {
                path: '',
                name: '欢迎',
                component: () => import('@/views/welcome.vue'),
            },

            {
                path: '/user',
                name: '用户管理',
                component: () => import('../views/user/SysUserList.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/role',
                name: '角色管理',
                component: () => import('../views/role/index.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/homePage',
                name: '首页',
                component: () => import('../views/system/homePage.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "homepage"
                }
            },
            {
                path: '/fieldModel',
                name: '字段组合',
                component: () => import('../views/system/fieldModel.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/bssp',
                name: '部署审批',
                component: () => import('../views/system/userinfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldBase',
                name: '基础字段',
                component: () => import('../views/system/fieldBase.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldCream(old)',
                name: '精华字段',
                component: () => import('../views/system/fieldCream(old).vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldDerive(old)',
                name: '衍生字段',
                component: () => import('../views/system/fieldDerive(old).vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },

            {
                path: '/reportParse',
                name: '报告解析',
                component: () => import('../views/system/reportParse.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/creditUpload',
                name: '单笔/批量导入',
                component: () => import('../views/system/creditUpload.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/paramConfig',
                name: '变量管理',
                component: () => import('../views/system/paramConfig.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/paramReview',
                name: '参数复核',
                component: () => import('../views/system/paramReview.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/modelCustomize',
                name: '自定义模型',
                component: () => import('../views/system/modelCustomize.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "modelcontrol"
                }
            },
            {
                path: '/modelControl',
                name: '模型管理',
                component: () => import('../views/system/modelControl.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "modelcontrol"
                }
            },
            {
                path: '/modelReview',
                name: '模型复核',
                component: () => import('../views/system/modelReview.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "modelcontrol"
                }
            },
            {
                path: '/modelDeploy',
                name: '模型部署',
                component: () => import('../views/system/modelDeploy.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "modelcontrol"
                    
                }
            },
            {
                path: '/modelEnable',
                name: '模型启用',
                component: () => import('../views/system/modelEnable.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "modelcontrol"
                }
            },
            {
                path: '/userinfo',
                name: '已定义模型',
                component: () => import('../views/system/userinfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "userinfo"
                }
            },
            {
                path: '/manager',
                name: '用户详情',
                component: () => import('../views/system/manager.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: "manager"
                }
            },
            {
                path: '/otherModel',
                name: '其他模型',
                component: () => import('../views/system/otherModel.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/queryReport',
                name: '查询报表',
                component: () => import('../views/system/queryReport.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/parseResult',
                name: '解析结果',
                component: () => import('../views/system/parseResult.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/parseAuto',
                name: '自动解析',
                component: () => import('../views/system/parseAuto.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/partnerManage',
                name: '合作方管理',
                component: () => import('../views/system/partnerManage.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorInfo',
                name: '合作方信息',
                component: () => import('../views/system/cooperatorInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorDetailed',
                name: '合作方明细',
                component: () => import('../views/system/cooperatorDetailed.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorAdd',
                name: '合作方新增',
                component: () => import('../views/system/cooperatorAdd.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorEdit',
                name: '合作方编辑',
                component: () => import('../views/system/cooperatorEdit.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorProductInfo',
                name: '合作方产品信息',
                component: () => import('../views/system/cooperatorProductInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorProductInfoBase',
                name: '合作方产品基础信息',
                component: () => import('../views/system/cooperatorProductInfoBase.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorProductApply',
                name: '合作方产品申请',
                component: () => import('../views/system/cooperatorProductApply.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorProductFieldInfo',
                name: '合作方产品字段信息',
                component: () => import('../views/system/cooperatorProductFieldInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/cooperatorProductFieldModify',
                name: '合作方产品字段信息修改',
                component: () => import('../views/system/cooperatorProductFieldModify.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'cooperatorInfo'
                }
            },
            {
                path: '/businesstodo',
                name: '待办业务',
                component: () => import('../views/system/businesstodo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'businesstodo'
                }
            },
            {
                path: '/businessAnalysis',
                name: '解析业务',
                component: () => import('../views/system/businessAnalysis.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'businesstodo'
                }
            },
            {
                path: '/businessFail',
                name: '失败业务',
                component: () => import('../views/system/businessFail.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'businesstodo'
                }
            },
            {
                path: '/businessInfoToDo',
                name: '待办业务信息',
                component: () => import('../views/system/businessInfoToDo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'businesstodo'
                }
            },
            {
                path: '/businessInfoAnalysis',
                name: '解析业务信息',
                component: () => import('../views/system/businessInfoAnalysis.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'businesstodo'
                }
            },
            {
                path: '/businessInfoFail',
                name: '失败业务信息',
                component: () => import('../views/system/businessInfoFail.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'businesstodo'
                }
            },
            {
                path: '/fieldInfo',
                name: '字段列表',
                component: () => import('../views/system/fieldInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },

            {
                path: '/fieldDerive',
                name: '衍生字段列表',
                component: () => import('../views/system/fieldDerive.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },

            {
                path: '/fieldCream',
                name: '精华字段列表',
                component: () => import('../views/system/fieldCream.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },

            {
                path: '/fieldAdd',
                name: '新增字段',
                component: () => import('../views/system/fieldAdd.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },
            {
                path: '/fieldEdit',
                name: '编辑字段',
                component: () => import('../views/system/fieldEdit.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },

            {
                path: '/fieldTemplate',
                name: '字段模板',
                component: () => import('../views/system/fieldTemplate.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },
            {
                path: '/fieldTemplateAdd',
                name: '新增字段模板',
                component: () => import('../views/system/fieldTemplateAdd.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },
            {
                path: '/modelInfo',
                name: '首页',
                component: () => import('../views/system/modelInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'userinfo'
                }
            },
            {
                path: '/modelEdit',
                name: '编辑模型',
                component: () => import('../views/system/modelEdit.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'userinfo'
                }
            },
            {
                path: '/modelModify',
                name: '修改模型信息',
                component: () => import('../views/system/modelModify.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'userinfo'
                }
            },
            {
                path: '/fieldTemplateEdit',
                name: '编辑字段模板',
                component: () => import('../views/system/fieldTemplateEdit.vue'),
                meta: {
                    keepAlive: false,
                    show: true,
                    menu: 'fieldInfo'
                }
            },
            {
                path: '/404',
                name: '404',
                component: () => import('../views/404.vue')
            }
        ]
    },


]

const router = new VueRouter({
    mode: 'history',
    routes // (缩写) 相当于 routes: routes
})




export default router
